Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class SineLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.SimpleLayer
              org.joone.engine.SineLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

    public class SineLayer

extends SimpleLayer
implements LearnableLayer

The output of a sine layer neuron is the sum of the weighted input values, applied to a sine (`sin(x)`). Neurons with sine activation problems might be useful in problems with periodicity.

Author:
  Boris Jansen
See Also:
  `parent`, `parent`, `implemented interface`, Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`SineLayer()` Creates a new instance of SineLayer
`SineLayer(java.lang.String aName)` Creates a new instance of SineLayer

Method Summary
`void` | `backward(double[] aPattern)` Reverse transfer function of the component.
`protected void` | `forward(double[] aPattern)` Transfer function to recall a result on a trained net

Methods inherited from class org.joone.engine.SimpleLayer
`getLearningRate, getLrate, getMomentum, setDimensions, setLrate, setMomentum, setMonitor`

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToFwdPattern, adjustSizeToRevPattern, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getLearner, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, Inspections, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.joone.engine.Learnable
`getLearner, getMonitor, initLearner`

Methods inherited from interface org.joone.engine.NeuralLayer
`addInputSynapse, addNoise, addOutputSynapse, check, copyInto, getAllInputs, getAllOutputs, getBias, getLayerName, getMonitor, getRows, isRunning, removeAllInputs, removeAllOutputs, removeInputSynapse, removeOutputSynapse, setAllInputs, setAllOutputs, setBias, setLayerName, setMonitor, setRows, start`

Constructor Detail

### SineLayer

    public SineLayer()

  Creates a new instance of SineLayer

### SineLayer

    public SineLayer(java.lang.String aName)

  Creates a new instance of SineLayer

  Parameters:
    `aName` - The name of the layer

Method Detail

### forward

    protected void forward(double[] aPattern)
                    throws JooneRuntimeException

  Description copied from class: `Layer`
  Transfer function to recall a result on a trained net

  Specified by:
    `forward` in class `Layer`
  Parameters:
    `aPattern` - input pattern to which to apply the rtransfer function
  Throws:
    `JooneRuntimeException`

### backward

    public void backward(double[] aPattern)
                  throws JooneRuntimeException

  Description copied from class: `Layer`
  Reverse transfer function of the component.

  Overrides:
    `backward` in class `SimpleLayer`
  Parameters:
    `aPattern` - input pattern on which to apply the transfer function
  Throws:
    `JooneRuntimeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net